# Class yii\di\NotInstantiableException

Inheritance | yii\di\NotInstantiableException » yii\base\InvalidConfigException » yii\base\Exception » Exception
Available since version | 2.0.9
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/di/NotInstantiableException.php

NotInstantiableException represents an exception caused by incorrect dependency injection container configuration or usage.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() |  | yii\di\NotInstantiableException
getName() |  | yii\di\NotInstantiableException

## Method Details

__construct() public method

public void __construct ( $class, $message = null, $code = 0, Exception $previous = null )
$class |  |
$message |  |
$code |  |
$previous |  |

getName() public method

public string getName ( )
return | string | The user-friendly name of this exception